UnorderedBehavior (EasyMock 5.5.0 API)
Date: 2024-11-17

org.easymock.internal

## Class UnorderedBehavior

- java.lang.Object
- - org.easymock.internal.UnorderedBehavior

- All Implemented Interfaces:
    Serializable

      public class UnorderedBehavior
      extends Object
      implements Serializable

  A bit badly named since this class is used for both ordered and unordered expectations. However, it's the class keeping all expectations and the corresponding results they should return. During the replay phase, it will give the best answer for a call.
  Author:
    OFFIS, Tammo Freese
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnorderedBehavior(boolean checkOrder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `addActual(Invocation actual)`
    `void` | `addExpected(ExpectedInvocation expected, Result result, Range count)`
    `boolean` | `allowsExpectedInvocation(ExpectedInvocation expected, boolean checkOrder)`
    `List<ErrorMessage>` | `getMessages(Invocation invocation)`
    `boolean` | `verify()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnorderedBehavior

          public UnorderedBehavior(boolean checkOrder)

  - ### Method Detail

    - #### addExpected

          public void addExpected(ExpectedInvocation expected,
                                  Result result,
                                  Range count)

    - #### addActual

          public Result addActual(Invocation actual)

    - #### verify

          public boolean verify()

    - #### getMessages

          public List<ErrorMessage> getMessages(Invocation invocation)

    - #### allowsExpectedInvocation

          public boolean allowsExpectedInvocation(ExpectedInvocation expected,
                                                  boolean checkOrder)

Copyright © 2001–2024 EasyMock contributors. All rights reserved.